import numpy as np
import pylab
import csv



#fileName = input('Enter filename: ')


data1 = csv.reader(open('response.csv'))
volt1 = []
volt2 = []
freq = []

for line in data1:
   freq.append(float(line[0]))
   volt1.append(float(line[1]))
   volt2.append(float(line[2]))

   
fig = pylab.figure()

ax1 = fig.add_subplot(111)
ax1.plot(freq, volt2, 'g')
ax1.set_ylabel('Transmission (Arb. Units)', fontsize=20, color='g')
ax1.set_xlabel('Frequency Detuning (Arb. Units)', fontsize=20)


ax2 = ax1.twinx()
ax2.plot(freq, volt1, 'b')
ax2.set_ylabel('Response Signal (Arb. Units)', fontsize=20, color='b')




pylab.grid(True)
#pylab.xlim(5, 7.4)
pylab.show()